#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 152
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 50
#define ALIAS_COUNT 0
#define TOKEN_COUNT 22
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 2

enum ts_symbol_identifiers {
  sym_raw_string_literal = 1,
  anon_sym_DQUOTE = 2,
  aux_sym_interpreted_string_literal_token1 = 3,
  sym_escape_sequence = 4,
  sym__identifier = 5,
  anon_sym_module = 6,
  anon_sym_LPAREN = 7,
  anon_sym_LF = 8,
  anon_sym_RPAREN = 9,
  anon_sym_go = 10,
  anon_sym_toolchain = 11,
  anon_sym_require = 12,
  anon_sym_exclude = 13,
  anon_sym_replace = 14,
  anon_sym_EQ_GT = 15,
  anon_sym_retract = 16,
  anon_sym_LBRACK = 17,
  anon_sym_COMMA = 18,
  anon_sym_RBRACK = 19,
  anon_sym_SLASH_SLASH = 20,
  aux_sym_comment_token1 = 21,
  sym_source_file = 22,
  sym__directive = 23,
  sym__string_literal = 24,
  sym_interpreted_string_literal = 25,
  sym__string_or_ident = 26,
  sym_module_path = 27,
  sym_go_version = 28,
  sym_version = 29,
  sym_module_directive = 30,
  sym_go_directive = 31,
  sym_toolchain_directive = 32,
  sym_toolchain_name = 33,
  sym_require_directive = 34,
  sym_require_spec = 35,
  sym_exclude_directive = 36,
  sym_exclude_spec = 37,
  sym_replace_directive = 38,
  sym_replace_spec = 39,
  sym_file_path = 40,
  sym_retract_directive = 41,
  sym_retract_spec = 42,
  sym_comment = 43,
  aux_sym_source_file_repeat1 = 44,
  aux_sym_interpreted_string_literal_repeat1 = 45,
  aux_sym_require_directive_repeat1 = 46,
  aux_sym_exclude_directive_repeat1 = 47,
  aux_sym_replace_directive_repeat1 = 48,
  aux_sym_retract_directive_repeat1 = 49,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpreted_string_literal_token1] = "interpreted_string_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym__identifier] = "_identifier",
  [anon_sym_module] = "module",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LF] = "\n",
  [anon_sym_RPAREN] = ")",
  [anon_sym_go] = "go",
  [anon_sym_toolchain] = "toolchain",
  [anon_sym_require] = "require",
  [anon_sym_exclude] = "exclude",
  [anon_sym_replace] = "replace",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_retract] = "retract",
  [anon_sym_LBRACK] = "[",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_SLASH_SLASH] = "//",
  [aux_sym_comment_token1] = "comment_token1",
  [sym_source_file] = "source_file",
  [sym__directive] = "_directive",
  [sym__string_literal] = "_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [sym__string_or_ident] = "_string_or_ident",
  [sym_module_path] = "module_path",
  [sym_go_version] = "go_version",
  [sym_version] = "version",
  [sym_module_directive] = "module_directive",
  [sym_go_directive] = "go_directive",
  [sym_toolchain_directive] = "toolchain_directive",
  [sym_toolchain_name] = "toolchain_name",
  [sym_require_directive] = "require_directive",
  [sym_require_spec] = "require_spec",
  [sym_exclude_directive] = "exclude_directive",
  [sym_exclude_spec] = "exclude_spec",
  [sym_replace_directive] = "replace_directive",
  [sym_replace_spec] = "replace_spec",
  [sym_file_path] = "file_path",
  [sym_retract_directive] = "retract_directive",
  [sym_retract_spec] = "retract_spec",
  [sym_comment] = "comment",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [aux_sym_require_directive_repeat1] = "require_directive_repeat1",
  [aux_sym_exclude_directive_repeat1] = "exclude_directive_repeat1",
  [aux_sym_replace_directive_repeat1] = "replace_directive_repeat1",
  [aux_sym_retract_directive_repeat1] = "retract_directive_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_interpreted_string_literal_token1] = aux_sym_interpreted_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__identifier] = sym__identifier,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_toolchain] = anon_sym_toolchain,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_exclude] = anon_sym_exclude,
  [anon_sym_replace] = anon_sym_replace,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_retract] = anon_sym_retract,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [sym_source_file] = sym_source_file,
  [sym__directive] = sym__directive,
  [sym__string_literal] = sym__string_literal,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [sym__string_or_ident] = sym__string_or_ident,
  [sym_module_path] = sym_module_path,
  [sym_go_version] = sym_go_version,
  [sym_version] = sym_version,
  [sym_module_directive] = sym_module_directive,
  [sym_go_directive] = sym_go_directive,
  [sym_toolchain_directive] = sym_toolchain_directive,
  [sym_toolchain_name] = sym_toolchain_name,
  [sym_require_directive] = sym_require_directive,
  [sym_require_spec] = sym_require_spec,
  [sym_exclude_directive] = sym_exclude_directive,
  [sym_exclude_spec] = sym_exclude_spec,
  [sym_replace_directive] = sym_replace_directive,
  [sym_replace_spec] = sym_replace_spec,
  [sym_file_path] = sym_file_path,
  [sym_retract_directive] = sym_retract_directive,
  [sym_retract_spec] = sym_retract_spec,
  [sym_comment] = sym_comment,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [aux_sym_require_directive_repeat1] = aux_sym_require_directive_repeat1,
  [aux_sym_exclude_directive_repeat1] = aux_sym_exclude_directive_repeat1,
  [aux_sym_replace_directive_repeat1] = aux_sym_replace_directive_repeat1,
  [aux_sym_retract_directive_repeat1] = aux_sym_retract_directive_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_toolchain] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_replace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_retract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__directive] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_or_ident] = {
    .visible = false,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_go_version] = {
    .visible = true,
    .named = true,
  },
  [sym_version] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_go_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_toolchain_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_toolchain_name] = {
    .visible = true,
    .named = true,
  },
  [sym_require_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_require_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_exclude_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_exclude_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_replace_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_replace_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_file_path] = {
    .visible = true,
    .named = true,
  },
  [sym_retract_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_retract_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_require_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exclude_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_replace_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_retract_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_name = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_name] = "name",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 27,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 33,
  [56] = 38,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 59,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 60,
  [69] = 58,
  [70] = 63,
  [71] = 67,
  [72] = 65,
  [73] = 73,
  [74] = 34,
  [75] = 54,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 36,
  [82] = 51,
  [83] = 53,
  [84] = 37,
  [85] = 44,
  [86] = 39,
  [87] = 87,
  [88] = 87,
  [89] = 4,
  [90] = 5,
  [91] = 6,
  [92] = 7,
  [93] = 87,
  [94] = 77,
  [95] = 87,
  [96] = 77,
  [97] = 77,
  [98] = 98,
  [99] = 39,
  [100] = 100,
  [101] = 4,
  [102] = 5,
  [103] = 7,
  [104] = 6,
  [105] = 105,
  [106] = 106,
  [107] = 6,
  [108] = 108,
  [109] = 7,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 39,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 114,
  [129] = 119,
  [130] = 115,
  [131] = 113,
  [132] = 127,
  [133] = 133,
  [134] = 100,
  [135] = 133,
  [136] = 126,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 4,
  [143] = 5,
  [144] = 120,
  [145] = 145,
  [146] = 124,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 151,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(56);
      ADVANCE_MAP(
        '"', 59,
        '(', 72,
        ')', 75,
        ',', 86,
        '/', 9,
        '=', 10,
        '[', 85,
        '\\', 11,
        ']', 87,
        '`', 12,
        'e', 46,
        'g', 35,
        'm', 36,
        'r', 22,
        't', 38,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\\') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(61);
      if (lookahead != 0) ADVANCE(63);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(74);
      if (lookahead == '"') ADVANCE(60);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '`') ADVANCE(69);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (lookahead != 0 &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(74);
      if (lookahead == '/') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(59);
      if (lookahead == '/') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(60);
      if (lookahead == '(') ADVANCE(73);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '`') ADVANCE(69);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead != 0 &&
          lookahead != ',' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(60);
      if (lookahead == ')') ADVANCE(76);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '[') ADVANCE(85);
      if (lookahead == '`') ADVANCE(69);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          lookahead != ',' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(60);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '`') ADVANCE(69);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead != 0 &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(60);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '`') ADVANCE(69);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead != 0 &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 9:
      if (lookahead == '/') ADVANCE(88);
      END_STATE();
    case 10:
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 11:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (lookahead != 0) ADVANCE(64);
      END_STATE();
    case 12:
      if (lookahead == '`') ADVANCE(57);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(28);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(19);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(18);
      END_STATE();
    case 16:
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'c') ADVANCE(27);
      END_STATE();
    case 18:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 19:
      if (lookahead == 'c') ADVANCE(25);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(45);
      END_STATE();
    case 21:
      if (lookahead == 'd') ADVANCE(24);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 27:
      if (lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 28:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(14);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(23);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(17);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 35:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(30);
      if (lookahead == 'q') ADVANCE(43);
      if (lookahead == 't') ADVANCE(41);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(26);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(15);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 43:
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(21);
      END_STATE();
    case 45:
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 46:
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 55:
      if (eof) ADVANCE(56);
      ADVANCE_MAP(
        '"', 59,
        '(', 72,
        ')', 75,
        ',', 86,
        '/', 9,
        '=', 10,
        '[', 85,
        ']', 87,
        '`', 12,
        'e', 46,
        'g', 35,
        'm', 36,
        'r', 22,
        't', 38,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_raw_string_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(61);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(63);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(63);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '`') ADVANCE(58);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == ',' ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(12);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_go);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_toolchain);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_exclude);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_replace);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_retract);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ',' &&
          lookahead != '[' &&
          lookahead != ']') ADVANCE(70);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(93);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(91);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(93);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(93);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 6},
  [9] = {.lex_state = 6},
  [10] = {.lex_state = 6},
  [11] = {.lex_state = 5},
  [12] = {.lex_state = 6},
  [13] = {.lex_state = 6},
  [14] = {.lex_state = 6},
  [15] = {.lex_state = 6},
  [16] = {.lex_state = 6},
  [17] = {.lex_state = 6},
  [18] = {.lex_state = 6},
  [19] = {.lex_state = 6},
  [20] = {.lex_state = 6},
  [21] = {.lex_state = 5},
  [22] = {.lex_state = 5},
  [23] = {.lex_state = 5},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 7},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 8},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 5},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 8},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 7},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 8},
  [56] = {.lex_state = 8},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 8},
  [59] = {.lex_state = 8},
  [60] = {.lex_state = 8},
  [61] = {.lex_state = 8},
  [62] = {.lex_state = 8},
  [63] = {.lex_state = 8},
  [64] = {.lex_state = 8},
  [65] = {.lex_state = 8},
  [66] = {.lex_state = 8},
  [67] = {.lex_state = 8},
  [68] = {.lex_state = 8},
  [69] = {.lex_state = 8},
  [70] = {.lex_state = 8},
  [71] = {.lex_state = 8},
  [72] = {.lex_state = 8},
  [73] = {.lex_state = 6},
  [74] = {.lex_state = 6},
  [75] = {.lex_state = 6},
  [76] = {.lex_state = 6},
  [77] = {.lex_state = 1},
  [78] = {.lex_state = 6},
  [79] = {.lex_state = 2},
  [80] = {.lex_state = 1},
  [81] = {.lex_state = 6},
  [82] = {.lex_state = 6},
  [83] = {.lex_state = 6},
  [84] = {.lex_state = 6},
  [85] = {.lex_state = 6},
  [86] = {.lex_state = 7},
  [87] = {.lex_state = 1},
  [88] = {.lex_state = 1},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 7},
  [91] = {.lex_state = 7},
  [92] = {.lex_state = 7},
  [93] = {.lex_state = 1},
  [94] = {.lex_state = 1},
  [95] = {.lex_state = 1},
  [96] = {.lex_state = 1},
  [97] = {.lex_state = 1},
  [98] = {.lex_state = 6},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 8},
  [102] = {.lex_state = 8},
  [103] = {.lex_state = 8},
  [104] = {.lex_state = 8},
  [105] = {.lex_state = 1},
  [106] = {.lex_state = 3},
  [107] = {.lex_state = 3},
  [108] = {.lex_state = 3},
  [109] = {.lex_state = 3},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 3},
  [112] = {.lex_state = 3},
  [113] = {.lex_state = 3},
  [114] = {.lex_state = 3},
  [115] = {.lex_state = 3},
  [116] = {.lex_state = 3},
  [117] = {.lex_state = 3},
  [118] = {.lex_state = 3},
  [119] = {.lex_state = 3},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 91},
  [122] = {.lex_state = 3},
  [123] = {.lex_state = 3},
  [124] = {.lex_state = 0},
  [125] = {.lex_state = 3},
  [126] = {.lex_state = 3},
  [127] = {.lex_state = 3},
  [128] = {.lex_state = 3},
  [129] = {.lex_state = 3},
  [130] = {.lex_state = 3},
  [131] = {.lex_state = 3},
  [132] = {.lex_state = 3},
  [133] = {.lex_state = 3},
  [134] = {.lex_state = 3},
  [135] = {.lex_state = 3},
  [136] = {.lex_state = 3},
  [137] = {.lex_state = 3},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 3},
  [140] = {.lex_state = 3},
  [141] = {.lex_state = 3},
  [142] = {.lex_state = 3},
  [143] = {.lex_state = 3},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 3},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 3},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 0},
  [150] = {.lex_state = 0},
  [151] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_toolchain] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_exclude] = ACTIONS(1),
    [anon_sym_replace] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_retract] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(138),
    [sym__directive] = STATE(31),
    [sym_module_directive] = STATE(32),
    [sym_go_directive] = STATE(32),
    [sym_toolchain_directive] = STATE(32),
    [sym_require_directive] = STATE(32),
    [sym_exclude_directive] = STATE(32),
    [sym_replace_directive] = STATE(32),
    [sym_retract_directive] = STATE(32),
    [sym_comment] = STATE(1),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_module] = ACTIONS(7),
    [anon_sym_go] = ACTIONS(9),
    [anon_sym_toolchain] = ACTIONS(11),
    [anon_sym_require] = ACTIONS(13),
    [anon_sym_exclude] = ACTIONS(15),
    [anon_sym_replace] = ACTIONS(17),
    [anon_sym_retract] = ACTIONS(19),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(21), 1,
      ts_builtin_sym_end,
    ACTIONS(23), 1,
      anon_sym_module,
    ACTIONS(26), 1,
      anon_sym_go,
    ACTIONS(29), 1,
      anon_sym_toolchain,
    ACTIONS(32), 1,
      anon_sym_require,
    ACTIONS(35), 1,
      anon_sym_exclude,
    ACTIONS(38), 1,
      anon_sym_replace,
    ACTIONS(41), 1,
      anon_sym_retract,
    STATE(31), 1,
      sym__directive,
    STATE(2), 2,
      sym_comment,
      aux_sym_source_file_repeat1,
    STATE(32), 7,
      sym_module_directive,
      sym_go_directive,
      sym_toolchain_directive,
      sym_require_directive,
      sym_exclude_directive,
      sym_replace_directive,
      sym_retract_directive,
  [44] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(7), 1,
      anon_sym_module,
    ACTIONS(9), 1,
      anon_sym_go,
    ACTIONS(11), 1,
      anon_sym_toolchain,
    ACTIONS(13), 1,
      anon_sym_require,
    ACTIONS(15), 1,
      anon_sym_exclude,
    ACTIONS(17), 1,
      anon_sym_replace,
    ACTIONS(19), 1,
      anon_sym_retract,
    ACTIONS(44), 1,
      ts_builtin_sym_end,
    STATE(2), 1,
      aux_sym_source_file_repeat1,
    STATE(3), 1,
      sym_comment,
    STATE(31), 1,
      sym__directive,
    STATE(32), 7,
      sym_module_directive,
      sym_go_directive,
      sym_toolchain_directive,
      sym_require_directive,
      sym_exclude_directive,
      sym_replace_directive,
      sym_retract_directive,
  [90] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(4), 1,
      sym_comment,
    ACTIONS(46), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_EQ_GT,
      anon_sym_retract,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(5), 1,
      sym_comment,
    ACTIONS(48), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_EQ_GT,
      anon_sym_retract,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [130] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(6), 1,
      sym_comment,
    ACTIONS(50), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_EQ_GT,
      anon_sym_retract,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [150] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(7), 1,
      sym_comment,
    ACTIONS(52), 11,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_EQ_GT,
      anon_sym_retract,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [170] = 13,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(60), 1,
      anon_sym_RPAREN,
    ACTIONS(62), 1,
      anon_sym_LBRACK,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(8), 1,
      sym_comment,
    STATE(9), 1,
      aux_sym_retract_directive_repeat1,
    STATE(73), 1,
      sym_retract_spec,
    STATE(126), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [210] = 13,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(62), 1,
      anon_sym_LBRACK,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(66), 1,
      anon_sym_RPAREN,
    STATE(9), 1,
      sym_comment,
    STATE(10), 1,
      aux_sym_retract_directive_repeat1,
    STATE(73), 1,
      sym_retract_spec,
    STATE(126), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [250] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(68), 1,
      sym_raw_string_literal,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(74), 1,
      sym__identifier,
    ACTIONS(77), 1,
      anon_sym_RPAREN,
    ACTIONS(79), 1,
      anon_sym_LBRACK,
    STATE(73), 1,
      sym_retract_spec,
    STATE(126), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
    STATE(10), 2,
      sym_comment,
      aux_sym_retract_directive_repeat1,
  [288] = 12,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(82), 1,
      anon_sym_LPAREN,
    ACTIONS(84), 1,
      anon_sym_LBRACK,
    STATE(11), 1,
      sym_comment,
    STATE(29), 1,
      sym_retract_spec,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(136), 1,
      sym_version,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [325] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(92), 1,
      anon_sym_RPAREN,
    STATE(12), 1,
      sym_comment,
    STATE(14), 1,
      aux_sym_require_directive_repeat1,
    STATE(68), 1,
      sym_module_path,
    STATE(98), 1,
      sym_require_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [362] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(94), 1,
      anon_sym_RPAREN,
    STATE(13), 1,
      sym_comment,
    STATE(16), 1,
      aux_sym_exclude_directive_repeat1,
    STATE(69), 1,
      sym_module_path,
    STATE(76), 1,
      sym_exclude_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [399] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(96), 1,
      anon_sym_RPAREN,
    STATE(14), 1,
      sym_comment,
    STATE(18), 1,
      aux_sym_require_directive_repeat1,
    STATE(68), 1,
      sym_module_path,
    STATE(98), 1,
      sym_require_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [436] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(98), 1,
      sym_raw_string_literal,
    ACTIONS(100), 1,
      anon_sym_DQUOTE,
    ACTIONS(102), 1,
      sym__identifier,
    ACTIONS(104), 1,
      anon_sym_RPAREN,
    STATE(15), 1,
      sym_comment,
    STATE(17), 1,
      aux_sym_replace_directive_repeat1,
    STATE(40), 1,
      sym_module_path,
    STATE(78), 1,
      sym_replace_spec,
    STATE(86), 1,
      sym__string_or_ident,
    STATE(89), 1,
      sym_interpreted_string_literal,
    STATE(90), 1,
      sym__string_literal,
  [473] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(106), 1,
      anon_sym_RPAREN,
    STATE(16), 1,
      sym_comment,
    STATE(19), 1,
      aux_sym_exclude_directive_repeat1,
    STATE(69), 1,
      sym_module_path,
    STATE(76), 1,
      sym_exclude_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [510] = 12,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(98), 1,
      sym_raw_string_literal,
    ACTIONS(100), 1,
      anon_sym_DQUOTE,
    ACTIONS(102), 1,
      sym__identifier,
    ACTIONS(108), 1,
      anon_sym_RPAREN,
    STATE(17), 1,
      sym_comment,
    STATE(20), 1,
      aux_sym_replace_directive_repeat1,
    STATE(40), 1,
      sym_module_path,
    STATE(78), 1,
      sym_replace_spec,
    STATE(86), 1,
      sym__string_or_ident,
    STATE(89), 1,
      sym_interpreted_string_literal,
    STATE(90), 1,
      sym__string_literal,
  [547] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(110), 1,
      sym_raw_string_literal,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(116), 1,
      sym__identifier,
    ACTIONS(119), 1,
      anon_sym_RPAREN,
    STATE(68), 1,
      sym_module_path,
    STATE(98), 1,
      sym_require_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(18), 2,
      sym_comment,
      aux_sym_require_directive_repeat1,
  [582] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(121), 1,
      sym_raw_string_literal,
    ACTIONS(124), 1,
      anon_sym_DQUOTE,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(130), 1,
      anon_sym_RPAREN,
    STATE(69), 1,
      sym_module_path,
    STATE(76), 1,
      sym_exclude_spec,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(19), 2,
      sym_comment,
      aux_sym_exclude_directive_repeat1,
  [617] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(132), 1,
      sym_raw_string_literal,
    ACTIONS(135), 1,
      anon_sym_DQUOTE,
    ACTIONS(138), 1,
      sym__identifier,
    ACTIONS(141), 1,
      anon_sym_RPAREN,
    STATE(40), 1,
      sym_module_path,
    STATE(78), 1,
      sym_replace_spec,
    STATE(86), 1,
      sym__string_or_ident,
    STATE(89), 1,
      sym_interpreted_string_literal,
    STATE(90), 1,
      sym__string_literal,
    STATE(20), 2,
      sym_comment,
      aux_sym_replace_directive_repeat1,
  [652] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(143), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_comment,
    STATE(26), 1,
      sym_exclude_spec,
    STATE(58), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [686] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(90), 1,
      sym__identifier,
    ACTIONS(145), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_comment,
    STATE(25), 1,
      sym_require_spec,
    STATE(60), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
  [720] = 11,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(98), 1,
      sym_raw_string_literal,
    ACTIONS(100), 1,
      anon_sym_DQUOTE,
    ACTIONS(102), 1,
      sym__identifier,
    ACTIONS(147), 1,
      anon_sym_LPAREN,
    STATE(23), 1,
      sym_comment,
    STATE(27), 1,
      sym_module_path,
    STATE(28), 1,
      sym_replace_spec,
    STATE(86), 1,
      sym__string_or_ident,
    STATE(89), 1,
      sym_interpreted_string_literal,
    STATE(90), 1,
      sym__string_literal,
  [754] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(24), 1,
      sym_comment,
    ACTIONS(149), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [771] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(25), 1,
      sym_comment,
    ACTIONS(151), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [788] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(26), 1,
      sym_comment,
    ACTIONS(153), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [805] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    ACTIONS(161), 1,
      anon_sym_EQ_GT,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(27), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(124), 1,
      sym_version,
  [836] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(28), 1,
      sym_comment,
    ACTIONS(163), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [853] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(29), 1,
      sym_comment,
    ACTIONS(165), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [870] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(30), 1,
      sym_comment,
    ACTIONS(167), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [887] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(31), 1,
      sym_comment,
    ACTIONS(169), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [904] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(32), 1,
      sym_comment,
    ACTIONS(171), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [921] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      sym__identifier,
    STATE(33), 1,
      sym_comment,
    STATE(63), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(115), 1,
      sym_file_path,
  [952] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(34), 1,
      sym_comment,
    ACTIONS(175), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [969] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    ACTIONS(177), 1,
      anon_sym_LPAREN,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(35), 1,
      sym_comment,
    STATE(39), 1,
      sym__string_or_ident,
    STATE(41), 1,
      sym_module_path,
  [1000] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(36), 1,
      sym_comment,
    ACTIONS(179), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1017] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(37), 1,
      sym_comment,
    ACTIONS(181), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1034] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      sym__identifier,
    STATE(38), 1,
      sym_comment,
    STATE(67), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(113), 1,
      sym_file_path,
  [1065] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(39), 1,
      sym_comment,
    ACTIONS(183), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1082] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    ACTIONS(185), 1,
      anon_sym_EQ_GT,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(40), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(146), 1,
      sym_version,
  [1113] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(41), 1,
      sym_comment,
    ACTIONS(187), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1130] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(42), 1,
      sym_comment,
    ACTIONS(189), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1147] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(43), 1,
      sym_comment,
    ACTIONS(191), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1164] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(44), 1,
      sym_comment,
    ACTIONS(193), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1181] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(45), 1,
      sym_comment,
    ACTIONS(195), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1198] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(46), 1,
      sym_comment,
    ACTIONS(197), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1215] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(47), 1,
      sym_comment,
    ACTIONS(199), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1232] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(48), 1,
      sym_comment,
    ACTIONS(201), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1249] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(49), 1,
      sym_comment,
    ACTIONS(203), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1266] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(50), 1,
      sym_comment,
    ACTIONS(205), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1283] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(51), 1,
      sym_comment,
    ACTIONS(207), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1300] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(52), 1,
      sym_comment,
    ACTIONS(209), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1317] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(53), 1,
      sym_comment,
    ACTIONS(211), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1334] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(54), 1,
      sym_comment,
    ACTIONS(213), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1351] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      sym__identifier,
    STATE(55), 1,
      sym_comment,
    STATE(70), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(130), 1,
      sym_file_path,
  [1382] = 10,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(86), 1,
      sym_raw_string_literal,
    ACTIONS(88), 1,
      anon_sym_DQUOTE,
    ACTIONS(173), 1,
      sym__identifier,
    STATE(56), 1,
      sym_comment,
    STATE(71), 1,
      sym_module_path,
    STATE(99), 1,
      sym__string_or_ident,
    STATE(101), 1,
      sym_interpreted_string_literal,
    STATE(102), 1,
      sym__string_literal,
    STATE(131), 1,
      sym_file_path,
  [1413] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(57), 1,
      sym_comment,
    ACTIONS(215), 8,
      ts_builtin_sym_end,
      anon_sym_module,
      anon_sym_go,
      anon_sym_toolchain,
      anon_sym_require,
      anon_sym_exclude,
      anon_sym_replace,
      anon_sym_retract,
  [1430] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(58), 1,
      sym_comment,
    STATE(119), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1458] = 9,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(59), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(148), 1,
      sym_version,
  [1486] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(60), 1,
      sym_comment,
    STATE(114), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1514] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(61), 1,
      sym_comment,
    STATE(110), 1,
      sym_go_version,
    STATE(125), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1542] = 9,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(43), 1,
      sym__string_or_ident,
    STATE(46), 1,
      sym_toolchain_name,
    STATE(62), 1,
      sym_comment,
  [1570] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(63), 1,
      sym_comment,
    STATE(113), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1598] = 9,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(64), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(150), 1,
      sym_version,
  [1626] = 9,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(65), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(120), 1,
      sym_version,
  [1654] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(66), 1,
      sym_comment,
    STATE(123), 1,
      sym__string_or_ident,
    STATE(140), 1,
      sym_module_path,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1682] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(67), 1,
      sym_comment,
    STATE(127), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1710] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(68), 1,
      sym_comment,
    STATE(128), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1738] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(69), 1,
      sym_comment,
    STATE(129), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1766] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(70), 1,
      sym_comment,
    STATE(131), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1794] = 9,
    ACTIONS(54), 1,
      sym_raw_string_literal,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      sym__identifier,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(71), 1,
      sym_comment,
    STATE(132), 1,
      sym_version,
    STATE(134), 1,
      sym__string_or_ident,
    STATE(142), 1,
      sym_interpreted_string_literal,
    STATE(143), 1,
      sym__string_literal,
  [1822] = 9,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(155), 1,
      sym_raw_string_literal,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym__identifier,
    STATE(4), 1,
      sym_interpreted_string_literal,
    STATE(5), 1,
      sym__string_literal,
    STATE(72), 1,
      sym_comment,
    STATE(100), 1,
      sym__string_or_ident,
    STATE(144), 1,
      sym_version,
  [1850] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(219), 1,
      anon_sym_LBRACK,
    STATE(73), 1,
      sym_comment,
    ACTIONS(217), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1866] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(175), 1,
      anon_sym_LBRACK,
    STATE(74), 1,
      sym_comment,
    ACTIONS(221), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1882] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(213), 1,
      anon_sym_LBRACK,
    STATE(75), 1,
      sym_comment,
    ACTIONS(223), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1898] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(76), 1,
      sym_comment,
    ACTIONS(225), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1911] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(227), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym_comment,
    STATE(80), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [1928] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(78), 1,
      sym_comment,
    ACTIONS(231), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1941] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(235), 1,
      anon_sym_LF,
    STATE(79), 1,
      sym_comment,
    ACTIONS(233), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [1956] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(237), 1,
      anon_sym_DQUOTE,
    ACTIONS(239), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
    STATE(80), 2,
      sym_comment,
      aux_sym_interpreted_string_literal_repeat1,
  [1971] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(81), 1,
      sym_comment,
    ACTIONS(242), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1984] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(82), 1,
      sym_comment,
    ACTIONS(244), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [1997] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(83), 1,
      sym_comment,
    ACTIONS(246), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [2010] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(84), 1,
      sym_comment,
    ACTIONS(248), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [2023] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(85), 1,
      sym_comment,
    ACTIONS(250), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [2036] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(86), 1,
      sym_comment,
    ACTIONS(252), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_EQ_GT,
  [2049] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(254), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      aux_sym_interpreted_string_literal_repeat1,
    STATE(87), 1,
      sym_comment,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2066] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(256), 1,
      anon_sym_DQUOTE,
    STATE(88), 1,
      sym_comment,
    STATE(97), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2083] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(89), 1,
      sym_comment,
    ACTIONS(258), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_EQ_GT,
  [2096] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(90), 1,
      sym_comment,
    ACTIONS(233), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_EQ_GT,
  [2109] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(91), 1,
      sym_comment,
    ACTIONS(260), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_EQ_GT,
  [2122] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(92), 1,
      sym_comment,
    ACTIONS(262), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_EQ_GT,
  [2135] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(264), 1,
      anon_sym_DQUOTE,
    STATE(93), 1,
      sym_comment,
    STATE(94), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2152] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(266), 1,
      anon_sym_DQUOTE,
    STATE(80), 1,
      aux_sym_interpreted_string_literal_repeat1,
    STATE(94), 1,
      sym_comment,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2169] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(268), 1,
      anon_sym_DQUOTE,
    STATE(95), 1,
      sym_comment,
    STATE(96), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2186] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(270), 1,
      anon_sym_DQUOTE,
    STATE(80), 1,
      aux_sym_interpreted_string_literal_repeat1,
    STATE(96), 1,
      sym_comment,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2203] = 5,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(272), 1,
      anon_sym_DQUOTE,
    STATE(80), 1,
      aux_sym_interpreted_string_literal_repeat1,
    STATE(97), 1,
      sym_comment,
    ACTIONS(229), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2220] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(98), 1,
      sym_comment,
    ACTIONS(274), 4,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
      anon_sym_RPAREN,
  [2233] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(99), 1,
      sym_comment,
    ACTIONS(252), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [2245] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    STATE(100), 1,
      sym_comment,
    ACTIONS(276), 3,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [2257] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(101), 1,
      sym_comment,
    ACTIONS(258), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [2269] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(102), 1,
      sym_comment,
    ACTIONS(233), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [2281] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(103), 1,
      sym_comment,
    ACTIONS(262), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [2293] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(104), 1,
      sym_comment,
    ACTIONS(260), 3,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym__identifier,
  [2305] = 4,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(278), 1,
      anon_sym_DQUOTE,
    STATE(105), 1,
      sym_comment,
    ACTIONS(280), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [2319] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(282), 1,
      anon_sym_LF,
    STATE(106), 1,
      sym_comment,
  [2329] = 3,
    ACTIONS(50), 1,
      anon_sym_LF,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(107), 1,
      sym_comment,
  [2339] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(284), 1,
      anon_sym_LF,
    STATE(108), 1,
      sym_comment,
  [2349] = 3,
    ACTIONS(52), 1,
      anon_sym_LF,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(109), 1,
      sym_comment,
  [2359] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(286), 1,
      anon_sym_LF,
    STATE(110), 1,
      sym_comment,
  [2369] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(288), 1,
      anon_sym_LF,
    STATE(111), 1,
      sym_comment,
  [2379] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(290), 1,
      anon_sym_LF,
    STATE(112), 1,
      sym_comment,
  [2389] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(292), 1,
      anon_sym_LF,
    STATE(113), 1,
      sym_comment,
  [2399] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(294), 1,
      anon_sym_LF,
    STATE(114), 1,
      sym_comment,
  [2409] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(296), 1,
      anon_sym_LF,
    STATE(115), 1,
      sym_comment,
  [2419] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(298), 1,
      anon_sym_LF,
    STATE(116), 1,
      sym_comment,
  [2429] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(300), 1,
      anon_sym_LF,
    STATE(117), 1,
      sym_comment,
  [2439] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(302), 1,
      anon_sym_LF,
    STATE(118), 1,
      sym_comment,
  [2449] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(304), 1,
      anon_sym_LF,
    STATE(119), 1,
      sym_comment,
  [2459] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(306), 1,
      anon_sym_RBRACK,
    STATE(120), 1,
      sym_comment,
  [2469] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(308), 1,
      aux_sym_comment_token1,
    STATE(121), 1,
      sym_comment,
  [2479] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(310), 1,
      anon_sym_LF,
    STATE(122), 1,
      sym_comment,
  [2489] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(183), 1,
      anon_sym_LF,
    STATE(123), 1,
      sym_comment,
  [2499] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(312), 1,
      anon_sym_EQ_GT,
    STATE(124), 1,
      sym_comment,
  [2509] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(314), 1,
      anon_sym_LF,
    STATE(125), 1,
      sym_comment,
  [2519] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(316), 1,
      anon_sym_LF,
    STATE(126), 1,
      sym_comment,
  [2529] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(318), 1,
      anon_sym_LF,
    STATE(127), 1,
      sym_comment,
  [2539] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(320), 1,
      anon_sym_LF,
    STATE(128), 1,
      sym_comment,
  [2549] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(322), 1,
      anon_sym_LF,
    STATE(129), 1,
      sym_comment,
  [2559] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(324), 1,
      anon_sym_LF,
    STATE(130), 1,
      sym_comment,
  [2569] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(326), 1,
      anon_sym_LF,
    STATE(131), 1,
      sym_comment,
  [2579] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(328), 1,
      anon_sym_LF,
    STATE(132), 1,
      sym_comment,
  [2589] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(330), 1,
      anon_sym_LF,
    STATE(133), 1,
      sym_comment,
  [2599] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(276), 1,
      anon_sym_LF,
    STATE(134), 1,
      sym_comment,
  [2609] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(332), 1,
      anon_sym_LF,
    STATE(135), 1,
      sym_comment,
  [2619] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(334), 1,
      anon_sym_LF,
    STATE(136), 1,
      sym_comment,
  [2629] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(336), 1,
      anon_sym_LF,
    STATE(137), 1,
      sym_comment,
  [2639] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(338), 1,
      ts_builtin_sym_end,
    STATE(138), 1,
      sym_comment,
  [2649] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(340), 1,
      anon_sym_LF,
    STATE(139), 1,
      sym_comment,
  [2659] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(342), 1,
      anon_sym_LF,
    STATE(140), 1,
      sym_comment,
  [2669] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(344), 1,
      anon_sym_LF,
    STATE(141), 1,
      sym_comment,
  [2679] = 3,
    ACTIONS(46), 1,
      anon_sym_LF,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(142), 1,
      sym_comment,
  [2689] = 3,
    ACTIONS(48), 1,
      anon_sym_LF,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    STATE(143), 1,
      sym_comment,
  [2699] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(346), 1,
      anon_sym_RBRACK,
    STATE(144), 1,
      sym_comment,
  [2709] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(348), 1,
      anon_sym_LF,
    STATE(145), 1,
      sym_comment,
  [2719] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(350), 1,
      anon_sym_EQ_GT,
    STATE(146), 1,
      sym_comment,
  [2729] = 3,
    ACTIONS(64), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(352), 1,
      anon_sym_LF,
    STATE(147), 1,
      sym_comment,
  [2739] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(354), 1,
      anon_sym_COMMA,
    STATE(148), 1,
      sym_comment,
  [2749] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(356), 1,
      anon_sym_RPAREN,
    STATE(149), 1,
      sym_comment,
  [2759] = 3,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(358), 1,
      anon_sym_COMMA,
    STATE(150), 1,
      sym_comment,
  [2769] = 1,
    ACTIONS(360), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 44,
  [SMALL_STATE(4)] = 90,
  [SMALL_STATE(5)] = 110,
  [SMALL_STATE(6)] = 130,
  [SMALL_STATE(7)] = 150,
  [SMALL_STATE(8)] = 170,
  [SMALL_STATE(9)] = 210,
  [SMALL_STATE(10)] = 250,
  [SMALL_STATE(11)] = 288,
  [SMALL_STATE(12)] = 325,
  [SMALL_STATE(13)] = 362,
  [SMALL_STATE(14)] = 399,
  [SMALL_STATE(15)] = 436,
  [SMALL_STATE(16)] = 473,
  [SMALL_STATE(17)] = 510,
  [SMALL_STATE(18)] = 547,
  [SMALL_STATE(19)] = 582,
  [SMALL_STATE(20)] = 617,
  [SMALL_STATE(21)] = 652,
  [SMALL_STATE(22)] = 686,
  [SMALL_STATE(23)] = 720,
  [SMALL_STATE(24)] = 754,
  [SMALL_STATE(25)] = 771,
  [SMALL_STATE(26)] = 788,
  [SMALL_STATE(27)] = 805,
  [SMALL_STATE(28)] = 836,
  [SMALL_STATE(29)] = 853,
  [SMALL_STATE(30)] = 870,
  [SMALL_STATE(31)] = 887,
  [SMALL_STATE(32)] = 904,
  [SMALL_STATE(33)] = 921,
  [SMALL_STATE(34)] = 952,
  [SMALL_STATE(35)] = 969,
  [SMALL_STATE(36)] = 1000,
  [SMALL_STATE(37)] = 1017,
  [SMALL_STATE(38)] = 1034,
  [SMALL_STATE(39)] = 1065,
  [SMALL_STATE(40)] = 1082,
  [SMALL_STATE(41)] = 1113,
  [SMALL_STATE(42)] = 1130,
  [SMALL_STATE(43)] = 1147,
  [SMALL_STATE(44)] = 1164,
  [SMALL_STATE(45)] = 1181,
  [SMALL_STATE(46)] = 1198,
  [SMALL_STATE(47)] = 1215,
  [SMALL_STATE(48)] = 1232,
  [SMALL_STATE(49)] = 1249,
  [SMALL_STATE(50)] = 1266,
  [SMALL_STATE(51)] = 1283,
  [SMALL_STATE(52)] = 1300,
  [SMALL_STATE(53)] = 1317,
  [SMALL_STATE(54)] = 1334,
  [SMALL_STATE(55)] = 1351,
  [SMALL_STATE(56)] = 1382,
  [SMALL_STATE(57)] = 1413,
  [SMALL_STATE(58)] = 1430,
  [SMALL_STATE(59)] = 1458,
  [SMALL_STATE(60)] = 1486,
  [SMALL_STATE(61)] = 1514,
  [SMALL_STATE(62)] = 1542,
  [SMALL_STATE(63)] = 1570,
  [SMALL_STATE(64)] = 1598,
  [SMALL_STATE(65)] = 1626,
  [SMALL_STATE(66)] = 1654,
  [SMALL_STATE(67)] = 1682,
  [SMALL_STATE(68)] = 1710,
  [SMALL_STATE(69)] = 1738,
  [SMALL_STATE(70)] = 1766,
  [SMALL_STATE(71)] = 1794,
  [SMALL_STATE(72)] = 1822,
  [SMALL_STATE(73)] = 1850,
  [SMALL_STATE(74)] = 1866,
  [SMALL_STATE(75)] = 1882,
  [SMALL_STATE(76)] = 1898,
  [SMALL_STATE(77)] = 1911,
  [SMALL_STATE(78)] = 1928,
  [SMALL_STATE(79)] = 1941,
  [SMALL_STATE(80)] = 1956,
  [SMALL_STATE(81)] = 1971,
  [SMALL_STATE(82)] = 1984,
  [SMALL_STATE(83)] = 1997,
  [SMALL_STATE(84)] = 2010,
  [SMALL_STATE(85)] = 2023,
  [SMALL_STATE(86)] = 2036,
  [SMALL_STATE(87)] = 2049,
  [SMALL_STATE(88)] = 2066,
  [SMALL_STATE(89)] = 2083,
  [SMALL_STATE(90)] = 2096,
  [SMALL_STATE(91)] = 2109,
  [SMALL_STATE(92)] = 2122,
  [SMALL_STATE(93)] = 2135,
  [SMALL_STATE(94)] = 2152,
  [SMALL_STATE(95)] = 2169,
  [SMALL_STATE(96)] = 2186,
  [SMALL_STATE(97)] = 2203,
  [SMALL_STATE(98)] = 2220,
  [SMALL_STATE(99)] = 2233,
  [SMALL_STATE(100)] = 2245,
  [SMALL_STATE(101)] = 2257,
  [SMALL_STATE(102)] = 2269,
  [SMALL_STATE(103)] = 2281,
  [SMALL_STATE(104)] = 2293,
  [SMALL_STATE(105)] = 2305,
  [SMALL_STATE(106)] = 2319,
  [SMALL_STATE(107)] = 2329,
  [SMALL_STATE(108)] = 2339,
  [SMALL_STATE(109)] = 2349,
  [SMALL_STATE(110)] = 2359,
  [SMALL_STATE(111)] = 2369,
  [SMALL_STATE(112)] = 2379,
  [SMALL_STATE(113)] = 2389,
  [SMALL_STATE(114)] = 2399,
  [SMALL_STATE(115)] = 2409,
  [SMALL_STATE(116)] = 2419,
  [SMALL_STATE(117)] = 2429,
  [SMALL_STATE(118)] = 2439,
  [SMALL_STATE(119)] = 2449,
  [SMALL_STATE(120)] = 2459,
  [SMALL_STATE(121)] = 2469,
  [SMALL_STATE(122)] = 2479,
  [SMALL_STATE(123)] = 2489,
  [SMALL_STATE(124)] = 2499,
  [SMALL_STATE(125)] = 2509,
  [SMALL_STATE(126)] = 2519,
  [SMALL_STATE(127)] = 2529,
  [SMALL_STATE(128)] = 2539,
  [SMALL_STATE(129)] = 2549,
  [SMALL_STATE(130)] = 2559,
  [SMALL_STATE(131)] = 2569,
  [SMALL_STATE(132)] = 2579,
  [SMALL_STATE(133)] = 2589,
  [SMALL_STATE(134)] = 2599,
  [SMALL_STATE(135)] = 2609,
  [SMALL_STATE(136)] = 2619,
  [SMALL_STATE(137)] = 2629,
  [SMALL_STATE(138)] = 2639,
  [SMALL_STATE(139)] = 2649,
  [SMALL_STATE(140)] = 2659,
  [SMALL_STATE(141)] = 2669,
  [SMALL_STATE(142)] = 2679,
  [SMALL_STATE(143)] = 2689,
  [SMALL_STATE(144)] = 2699,
  [SMALL_STATE(145)] = 2709,
  [SMALL_STATE(146)] = 2719,
  [SMALL_STATE(147)] = 2729,
  [SMALL_STATE(148)] = 2739,
  [SMALL_STATE(149)] = 2749,
  [SMALL_STATE(150)] = 2759,
  [SMALL_STATE(151)] = 2769,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [23] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [26] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [29] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(62),
  [32] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [35] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [38] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11),
  [44] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [46] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 1, 0, 0),
  [48] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_or_ident, 1, 0, 0),
  [50] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [52] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [54] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [56] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [58] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [60] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [64] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [66] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [68] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_retract_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [71] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_retract_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [74] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_retract_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [77] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_retract_directive_repeat1, 2, 0, 0),
  [79] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_retract_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [82] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [84] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [86] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [88] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [90] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [92] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [94] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [98] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_require_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_require_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_require_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_require_directive_repeat1, 2, 0, 0),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exclude_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exclude_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_exclude_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exclude_directive_repeat1, 2, 0, 0),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_replace_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_replace_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_replace_directive_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_replace_directive_repeat1, 2, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_directive, 5, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_directive, 2, 0, 0),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclude_directive, 2, 0, 0),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_directive, 2, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retract_directive, 2, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_directive, 3, 0, 0),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__directive, 1, 0, 0),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retract_spec, 2, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_spec, 3, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclude_spec, 3, 0, 0),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 0),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 2, 0, 0),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclude_directive, 5, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toolchain_name, 1, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_spec, 4, 0, 0),
  [195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retract_directive, 5, 0, 0),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toolchain_directive, 2, 0, 1),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 6, 0, 0),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_directive, 6, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclude_directive, 6, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_directive, 6, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_spec, 5, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retract_directive, 6, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replace_spec, 6, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retract_spec, 6, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_directive, 5, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_retract_directive_repeat1, 1, 0, 0),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_retract_directive_repeat1, 1, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_retract_spec, 2, 0, 0),
  [223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_retract_spec, 6, 0, 0),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exclude_directive_repeat1, 1, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_replace_directive_repeat1, 1, 0, 0),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_or_ident, 1, 0, 0),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_path, 1, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0),
  [239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_spec, 3, 0, 0),
  [244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_replace_spec, 5, 0, 0),
  [246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_replace_spec, 6, 0, 0),
  [248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exclude_spec, 3, 0, 0),
  [250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_replace_spec, 4, 0, 0),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 0),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 1, 0, 0),
  [260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_require_directive_repeat1, 1, 0, 0),
  [276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version, 1, 0, 0),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 1, 0, 0),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 1, 0, 0),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_version, 1, 0, 0),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [338] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_gomod(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
